Get node summary chart history
GET
/info/summary/history
const url = 'https://sylve.lan:8181/api/info/summary/history';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/info/summary/history \ --header 'Authorization: <Authorization>'Retrieves the complete CPU, RAM, and network history used by the node summary page
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
cpu
Array<object>
object
createdAt
string
id
integer
usage
number
cursors
object
cpu
integer
network
integer
ram
integer
network
Array<object>
object
createdAt
string
id
integer
receivedBytes
integer
sentBytes
integer
ram
Array<object>
object
createdAt
string
id
integer
usage
number
error
string
message
string
status
string
Examplegenerated
{ "data": { "cpu": [ { "createdAt": "example", "id": 1, "usage": 1 } ], "cursors": { "cpu": 1, "network": 1, "ram": 1 }, "network": [ { "createdAt": "example", "id": 1, "receivedBytes": 1, "sentBytes": 1 } ], "ram": [ { "createdAt": "example", "id": 1, "usage": 1 } ] }, "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}